%global _internal_version  fd3cc88

Name:           nemo-extensions
Version:        2.0.0
Release:        0.1.git%{_internal_version}%{?dist}
Summary:        Extensions for Nemo

License:        GPLv2+ and LGPLv2
URL:            http://cinnamon.linuxmint.com
# To generate tarball
# wget https://github.com/linuxmint/nemo-extensions/tarball/%%{_internal_version} -O nemo-extensions-%%{version}.git%%{_internal_version}.tar.gz        
Source0:        http://leigh123linux.fedorapeople.org/pub/nemo-extensions/source/nemo-extensions-%{version}.git%{_internal_version}.tar.gz

BuildRequires:  nemo-devel
BuildRequires:  python-distutils-extra
BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pygobject2-devel
BuildRequires:  pygobject3-devel
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  gtk-doc  
BuildRequires:  libnotify-devel    

%description
Extensions for Nemo

%package     -n nemo-pastebin
Summary:     Pastebin extension for Nemo
License:     GPLv2+
Requires:    pastebinit
Requires:    nemo-python

%description -n nemo-pastebin
nemo-pastebin is an extension for the Nemo file manager, which allows
users to send files to pastebins just a right-click away.

%package     -n nemo-rabbitvcs
Summary:     RabbitVCS extension for Nemo
License:     GPLv2+
Requires:    rabbitvcs-core
Requires:    nemo-python

%description -n nemo-rabbitvcs
nemo-rabbitvcs is an extension for the Nemo file manager.
It provides easy access to the version control systems like SVN or Git.

%package     -n nemo-fileroller
Summary:     File Roller extension for Nemo
License:     GPLv2+
Requires:    file-roller

%description -n nemo-fileroller
This package contains the file-roller extension for the Nemo.

%package     -n nemo-python
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    pygobject3-base

%description -n nemo-python
Python bindings for Nemo

%package     -n nemo-python-devel
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    nemo-python = %{version}-%{release}

%description -n nemo-python-devel
Python bindings for Nemo

%package     -n nemo-terminal
Summary:     Nemo Terminal is a terminal embedded in Nemo
License:     GPLv3+
Requires:    vte
Requires:    nemo-python

%description -n nemo-terminal
Nemo Terminal is a terminal embedded in Nemo

%prep
%setup -q -n linuxmint-%{name}-%{_internal_version}

%build
pushd nemo-pastebin
%{__python} setup.py build
popd

pushd nemo-fileroller
rm missing
NOCONFIGURE=1 ./autogen.sh
%configure
make V=1 %{?_smp_mflags}
popd

pushd nemo-python
rm missing
mv configure.in configure.ac
NOCONFIGURE=1 ./autogen.sh
%if 0%{?fedora} < 20
%configure --docdir=%{_datadir}/doc/nemo-python-%{version}
%else
%configure --docdir=%{_datadir}/doc/nemo-python
%endif
make V=1 %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
pushd nemo-pastebin
%{__python} setup.py install -O1 --install-scripts=%{_datadir}/nemo-pastebin/ --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/nemo-python/extensions/
mv %{buildroot}/%{_datadir}/nemo-pastebin/nemo-pastebin.py %{buildroot}/%{_datadir}/nemo-python/extensions/
mkdir -p %{buildroot}/%{_bindir}/
ln -s %{_datadir}/nemo-pastebin/nemo-pastebin-configurator.py %{buildroot}/%{_bindir}/nemo-pastebin-configurator
popd

pushd nemo-rabbitvcs
install -pm 0644 RabbitVCS.py %{buildroot}/%{_datadir}/nemo-python/extensions/
popd

pushd nemo-fileroller
%make_install
popd

pushd nemo-python
%make_install
popd

pushd nemo-terminal
mkdir %{buildroot}/%{_datadir}/nemo-terminal
install -pm 0644 src/nemo_terminal.py %{buildroot}/%{_datadir}/nemo-python/extensions/
install -pm 0644 src/org.nemo.extensions.nemo-terminal.gschema.xml %{buildroot}/%{_datadir}/glib-2.0/schemas/
install -pm 0644 pixmap/logo_120x120.png %{buildroot}/%{_datadir}/nemo-terminal
popd

# remove useless libtool archive files
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.la
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.a

desktop-file-install                                    \
 --delete-original                                      \
 --dir=%{buildroot}%{_datadir}/applications             \
 %{buildroot}/%{_datadir}/applications/nemo-pastebin-configurator.desktop


%postun -n nemo-pastebin
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans -n nemo-pastebin
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n nemo-terminal
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans -n nemo-terminal
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -n nemo-pastebin
%doc nemo-pastebin/{README,NEWS,COPYING}
%{_bindir}/nemo-pastebin-configurator
%{_datadir}/nemo-python/extensions/nemo-pastebin.py
%{python_sitelib}/nemo_pastebin-1.0.0-py?.?.egg-info
%{_datadir}/applications/nemo-pastebin-configurator.desktop
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml
%{_datadir}/nemo-pastebin/
%{_datadir}/pixmaps/nemo-pastebin.svg

%files -n nemo-rabbitvcs
%doc nemo-rabbitvcs/COPYING
%{_datadir}/nemo-python/extensions/RabbitVCS.py

%files -n nemo-fileroller
%doc nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n nemo-python
%doc nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_datadir}/nemo-python/
%exclude %{_datadir}/nemo-python/extensions/*

%files -n nemo-python-devel
%{_libdir}/pkgconfig/nemo-python.pc

%files -n nemo-terminal
%doc nemo-terminal/COPYING
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/nemo-terminal/
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml

%changelog
* Thu Oct 31 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-0.1.gitfd3cc88
- update to latest git
- add nemo-terminal extension

* Sun Oct 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.6.git3e366de
- remove the seahorse extension because
  it's broken and conflicts with seahorse-nautilus
  (can't be bothered to fix it)

* Tue Oct 08 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.5.git3e366de
- add nemo-rabbitvcs sub-package

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.4.git3e366de
- clean up nemo-pastebin install

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.3.git3e366de
- fix files listed twice

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.2.git3e366de
- fix nemo-pastebin
- add python extensions directory

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.1.git3e366de
- Initial build

